<template>
    <div>
      <h1>Welcome, {{ loggedInUser.username }}</h1>
      <!-- Your profile content here -->
  
      <!-- Logout button -->
      <button @click="logout">Logout</button>
    </div>
</template>
  
<script>
export default {
computed: {
    loggedIn() {
    return this.$store.getters.loggedIn; // Check if the user is logged in
    },
    loggedInUser() {
    return this.$store.getters.loggedInUser; // Access the user data from the store
    },
},
methods: {
    logout() {
    this.$store.dispatch('logout'); // Call the logout action
    this.$router.push('/login'); // Redirect to the login page after logout
    },
},
};
</script>